Skip to main content
GET
/
policies
List policies
curl --request GET \
  --url https://api.vanta.com/v1/policies \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "endCursor": "YXJyYXljb25uZWN0aW9uOjA=",
      "startCursor": "YXJyYXljb25uZWN0aW9uOjA="
    },
    "data": [
      {
        "id": "code-of-conduct-bsi",
        "name": "Code of Conduct",
        "description": "Develops and maintains a standard of conduct that is acceptable to the company and its employees, customers, and vendors.",
        "status": "OK",
        "approvedAtDate": "2024-01-15T10:30:00.000Z",
        "latestVersion": {
          "status": "APPROVED"
        },
        "latestApprovedVersion": {
          "documents": [
            {
              "language": "EN",
              "slugId": "a1b2c3d4e5f6g7h8i9j0k1l2",
              "url": "https://app.vanta.com/c/my-domain/doc/Policy-a1b2c3d4e5f6g7h8i9j0k1l2"
            }
          ]
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Response

200 - application/json

Ok

results
object
required